# IPermissionsRead

## Functions

### isBurner

```solidity
function isBurner(
    address _address
) external returns (bool)
```

#### Parameters

| Name       | Type    | Description |
| ---------- | ------- | ----------- |
| `_address` | address |             |

### isMinter

```solidity
function isMinter(
    address _address
) external returns (bool)
```

#### Parameters

| Name       | Type    | Description |
| ---------- | ------- | ----------- |
| `_address` | address |             |

### isGovernor

```solidity
function isGovernor(
    address _address
) external returns (bool)
```

#### Parameters

| Name       | Type    | Description |
| ---------- | ------- | ----------- |
| `_address` | address |             |

### isGuardian

```solidity
function isGuardian(
    address _address
) external returns (bool)
```

#### Parameters

| Name       | Type    | Description |
| ---------- | ------- | ----------- |
| `_address` | address |             |

### isPCVController

```solidity
function isPCVController(
    address _address
) external returns (bool)
```

#### Parameters

| Name       | Type    | Description |
| ---------- | ------- | ----------- |
| `_address` | address |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.essencefinance.io/development/smart-contracts/core/ipermissionsread.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
